<?php

declare(strict_types=1);

namespace App\DTOs\Uploads;

final class UploadValidatedFile
{
    public function __construct(
        public readonly UploadValidationResult $validation,
        public readonly ?string $hash
    ) {
    }
}
